Subject: bug#65053: 30.0.50; Emacs falsely recommends removal of explicitly installed

From: Jim Porter <[email-masked]>
Date: Fri, 4 Aug 2023 23:01:36 -0700

On 8/4/2023 8:34 PM, Raoul Comninos wrote:
> I have checked the variable and it was missing markdown-mode and 
> included a few packages I had removed. I have tweaked it, and removed 
> and reinstalled a few packages to align the variable with what is 
> installed in elpa in dot emacs. The problem occurs on multiple systems 
> in Linux and Windows.

Did that fix this issue? It sounds like maybe your configuration is 
under version control and something got out of sync?

I've also occasionally seen issues where if a package fails to install, 
it gets removed from 'package-select-packages', but I haven't been able 
to reproduce it. I think that's covered by bug#64995 though.